Bug 143305 - Make it work with customer video drivers.
Make it work with customer video drivers.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-18 10:16 EST by Kim Lux
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 14:21:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim Lux 2004-12-18 10:16:08 EST
Description of problem: 
 
It is time consuming and difficult to manually make xorg.conf files 
for custom nvidia drivers.  Regular users can't do it.   
 
Version-Release number of selected component (if applicable): 
 
rpm -q system-config-display 
system-config-display-1.0.24-1 
 
How reproducible: 
 
Always 
 
Steps to Reproduce: 
 
1. Install a custom nvidia driver 
 
2. Open system-config-display 
 
3. Exit system-config-display with a save.  
   
Actual results: 
 
system-config-display has now put the driver that it thinks you 
should be using in xorg.conf.  It has removed the custom driver that 
you put in system-config-display.   
 
Expected results: 
 
There should be a way to tell it that you've got the driver set up 
and to leave the video driver alone.  I see that there is "Custom" in 
the driver dropdown, but I've yet to be able to make that work.  If 
system-config-display left the video driver in xorg.conf alone, it 
could be used with custom drivers which would make its configuration 
a lot easier.   
 
I'm about to have a bunch of users with machine using custom nvidia 
drivers and multiple monitors.  Whenever they want to change 
something with their video, I am going to have to manually edit their 
xorg.conf file.  I can't let them use system-config-video or it will 
uninstall the custom driver.
Comment 1 Paul Nasrat 2004-12-20 09:45:56 EST
Are you using the livna.org packages for the nvidia driver?  They have scripts
to switch on nvidia if present using s-c-display backend.

I'll look into this.
Comment 2 Kim Lux 2004-12-20 10:14:26 EST
I'm using the driver "system" downloaded from nvidia.com.  

To use it, one downloads an install file (NVIDIA-Linux-x86-1.0-6111-pkg1.run),
goes to init level 3 (ie X windows can't be running), runs the script, which
installs or builds the driver, then manually edits xorg.conf to call the driver,
then init back to level 5 to use it.

Once that driver is working, you cannot use system-config-display because it
will revert the driver back to what it thinks the correct video driver should
be, even if you don't touch anything in the hardware settings. 

I think this could be prevented if s-c-display parsed xorg.conf and realized
that a driver was already installed that wasn't in the available driver list. 

It is a huge pain in the a** using these drivers, especially when you have to
manually set up second monitors, etc by manually editing xorg.conf.  I think
this could be done with s-c-display if it would leave the driver alone.   
Comment 3 Kim Lux 2005-01-04 13:59:31 EST
I don't mean to harp about this, but fc3 repos have a new kernel out today,
which means that I must build another nvidia driver on half a dozen machines. 
Huge pain in the a**.  

To add insult to injury, I'm using ndiswrapper, so I have to do 2 builds x 6
machines = 12 builds just to use the current kernel.  So much for up2date being
a    n automatic process. 
Comment 4 Paul Nasrat 2005-01-04 14:17:17 EST
Or wait for livna to build against kernel - or QA it and feed back there, plus
the livna scripts would detect no driver for newer kernel and switch back to nv
automatically.

Comment 5 Matthew Miller 2006-07-10 17:40:58 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 Adam Jackson 2007-04-03 14:21:11 EDT
NEEDINFO timeout, resolving as INSUFFICIENT_DATA.  If you are still experiencing
this bug in FC6 or FC7, please reopen.  Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.